/****************************************************************************
**
** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This file is part of the examples of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:BSD$
** You may use this file under the terms of the BSD license as follows:
**
** "Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that the following conditions are
** met:
**   * Redistributions of source code must retain the above copyright
**     notice, this list of conditions and the following disclaimer.
**   * Redistributions in binary form must reproduce the above copyright
**     notice, this list of conditions and the following disclaimer in
**     the documentation and/or other materials provided with the
**     distribution.
**   * Neither the name of Nokia Corporation and its Subsidiary(-ies) nor
**     the names of its contributors may be used to endorse or promote
**     products derived from this software without specific prior written
**     permission.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
** "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
** LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
** A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
** OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
** LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
** THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
** OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."
** $QT_END_LICENSE$
**
****************************************************************************/

#include <QtGui>
#include <QApplication>

#include "dialog.h"


int main(int argc, char *argv[])
{
    Q_INIT_RESOURCE(mediaplayer);
    QApplication app(argc, argv);
    MediaPlayer player;

    if (argc > 1)
    {
        QString cmd = argv[1];
        QString msg = "";
        bool bCommand = false;
        int nVoiceType = 0;
        if (cmd.compare("/g") == 0)
        {
            bCommand = true;
            nVoiceType = 0;
        }
        else if (cmd.compare("/b") == 0)
        {
            bCommand = true;
            nVoiceType = 1;
        }

        if (!bCommand)
        {
            QString str = argv[1];
            msg = str.toUtf8();
        }
        for (int i=2;i<argc;i++)
        {
            QString str = argv[i];
            msg = msg + str.toUtf8();
        }
        if (msg.length() >= 100)
            msg = msg.left(99);

        player.setApp(&app);
        player.readText(nVoiceType, msg);
        player.setWindowTitle(msg);
//        player.setVolume(0.5);    // 50%
        return app.exec();
    }


//    player.setVolume(volume);

    Dialog dialog;
    dialog.setPlayer(&player);
#if defined(Q_OS_SYMBIAN)
    dialog.showMaximized();
#else
    dialog.show();
#endif

    return app.exec();
}
